<?php

/**
 * @file
 * Provides an additional config form for theme settings.
 */

use Drupal\Core\Extension\Extension;
use Drupal\Core\Extension\ExtensionDiscovery;
use Drupal\system\Controller\ThemeController;
use Drupal\Core\Theme\ThemeManagerInterface;
use Symfony\Component\HttpFoundation\Request;
use Drupal\Core\Form\FormStateInterface;
use Drupal\color\ColorSystemBrandingBlockAlter;

// Implement of  hook_form_system_theme_settings_alter()
function startup_pro_form_system_theme_settings_alter(&$form, \Drupal\Core\Form\FormStateInterface &$form_state, $form_id = NULL) {
 // Demo Code start
	// include 'color/pannel_color_fields.inc';
 // Demo Code end
	/*Custom theme  settings*/
  $form['logo']['#group'] = 'visibility';
  $form['logo']['#title'] = t('Logo Image');
  $form['logo']['#weight'] = -995;
  $form['favicon']['#group'] = 'visibility';
  $form['favicon']['#weight'] = -994;

  $form['logo']['#open'] = TRUE;
  $form['favicon']['#open'] = TRUE;
  unset($form['theme_settings']); 

  $form['visibility'] = [
    '#type' => 'vertical_tabs',
    '#title' => t('Startup Pro Settings'),
    '#weight' => -999,
  ];
  
  //general settings 
  $form['general'] = [
    '#type' => 'details',
    '#title' => t('General Options'),
    '#weight' => -999,
    '#group' => 'visibility',
    '#open' => FALSE,
  ];
  //banner image
  $form['general']['b_bg_image'] = [
	'#type' => 'managed_file',
	'#title'    => t('Banner Image for common pages'),
	'#default_value' => theme_get_setting('b_bg_image'),
	'#upload_location' => 'public://',
	'#description' => t('Choose your background image for common page'),
  ];
  //loader
  $form['general']['loader-settings'] = array(
    '#type' => 'fieldset',
    '#title' => t('Page preloader Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#open' => TRUE,
  );
  $form['general']['loader-settings']['loader'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Page Preloader'),
    '#description' => t('Check this to enable page preloader.'),
    '#default_value' => theme_get_setting('loader'),
  );
	//mintenance mode
	$form['general']['maintenance_mode'] = array(
	'#type' => 'fieldset',
	'#title' => t('Maintenance Mode and Coming Soon Settings'),
	'#collapsible' => TRUE,
	'#collapsed' => FALSE,
	);
	$form ['general']['maintenance_mode']['maintenance_mode_title'] = array(
	'#type'          => 'textarea',
	'#title'         => t('Maintenance Mode Title'),
	'#default_value' => theme_get_setting('maintenance_mode_title'),
	'#description'   => t("Please enter your get in Maintenance Mode title here."),
	);
	$form ['general']['maintenance_mode']['maintenance_mode_description'] = array(
	'#type'          => 'textarea',
	'#title'         => t('Maintenance Mode Description'),
	'#default_value' => theme_get_setting('maintenance_mode_description'),
	'#description'   => t("Please enter your get in Maintenance Mode Description here."),
	);
	$form ['general']['maintenance_mode']['mode_type'] = array(
	'#type'        => 'select',
	'#title'       => t('Mode Type'),
	'#options' 	   => ['1' => t('Maintenance Mode'),'2' => t('Coming Soon')],
	'#default_value' => theme_get_setting('mode_type'),
	'#description'   => t("Please select you maintenance mode type here."),
	);
	$form['general']['maintenance_mode']['bg_image_m'] = [
		'#type' => 'managed_file',
		'#title'    => t('Maintenance Mode Image'),
		'#default_value' => theme_get_setting('bg_image_m'),
		'#upload_location' => 'public://',
		'#description' => t('Choose background image'),
	];
	$form['general']['maintenance_mode']['bg_image'] = [
	'#type' => 'managed_file',
	'#title'    => t('Coming Soon Image'),
	'#default_value' => theme_get_setting('bg_image'),
	'#upload_location' => 'public://',
	'#description' => t('Choose background image'),
	];
	$form['general']['maintenance_mode']['coming_soon_title'] = [
	'#type' => 'textfield',
	'#title' => t('Coming Soon Title'),
	'#description' => t('Please Enter the title of coming soon page'),
	'#default_value' => theme_get_setting('coming_soon_title'),
	];
	$form['general']['maintenance_mode']['date'] = [
	'#type' => 'date',
	'#title' => t('Launch Date'),
	'#description' => t('Please enter the date of site coming to alive, This date will be displayed in Coming soon page'),
	'#default_value' => theme_get_setting('date'),
	];
	$form['general']['maintenance_mode']['custom_message'] = [
	'#type' => 'textfield',
	'#title' => t('Date Expired custom message'),
	'#description' => t('Please enter the message here.'),
	'#default_value' => theme_get_setting('custom_message'),
	];
	//header
	$form['header'] = array(
	'#type' => 'details',
	'#title' => t('Header Options'),
	'#collapsible' => TRUE,
	'#collapsed' => FALSE,
	'#group' => 'visibility',
	'#weight' => -998,
	);
	$form['header']['menu_type'] = array(
	'#type'        => 'select',
	'#title'       => t('Header Options'),
	'#options' 	   => ['header-1' => t('Header Style 1'),'header-2' => t('Header Style 2'),'header-3' => t('Header Style 3'), 'header-4' => t('Header Style 4')],
	'#default_value' => theme_get_setting('menu_type'),
	'#description'   => t("Please select the header style of your site."),
	);	
	 $form ['header']['sticky'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Sticky menu'),
	'#description'   => t("Check this to make fixed heaader on scroll."),
    '#default_value' => theme_get_setting('sticky'),
    );
	// $form['header']['logo_image'] = [
	// '#type' => 'managed_file',
	// '#title'    => t('Dark Logo'),

	// '#default_value' => theme_get_setting('logo_image'),
	// '#upload_location' => 'public://',
	// '#description' => t('Choose your Dark Logo for White header'),
	// ];
	//footer options
	$form['footer'] = array(
	'#type' => 'details',
	'#title' => t('Footer Options'),
	'#collapsible' => TRUE,
	'#collapsed' => FALSE,
	'#group' => 'visibility',
	'#weight' => -996,
	);
	$form ['footer']['fb_url'] = array(
	'#type'          => 'textfield',
	'#title'         => t('Facebook'),
	'#default_value' => theme_get_setting('fb_url'),
	'#description'   => t("Please enter your facebook url here."),
	);
	$form ['footer']['twitter'] = array(
	'#type'          => 'textfield',
	'#title'         => t('Twitter'),
	'#default_value' => theme_get_setting('twitter'),
	'#description'   => t("Please enter your twitter url here."),
	);
	$form ['footer']['address'] = array(
	'#type'          => 'textarea',
	'#title'         => t('Address'),
	'#default_value' => theme_get_setting('address'),
	'#description'   => t("Please enter your Address here."),
	);
	$form ['footer']['phone_title'] = array(
	'#type'          => 'textfield',
	'#title'         => t('Phone number title'),
	'#default_value' => theme_get_setting('phone_title'),
	'#description'   => t("Please enter your title for phone number."),
	);
	$form ['footer']['phone_1'] = array(
	'#type'          => 'textfield',
	'#title'         => t('Phone Number 1'),
	'#default_value' => theme_get_setting('phone_1'),
	'#description'   => t("Please enter your phone number here."),
	);
	$form ['footer']['phone_2'] = array(
	'#type'          => 'textfield',
	'#title'         => t('Phone Number 2'),
	'#default_value' => theme_get_setting('phone_2'),
	'#description'   => t("Please enter your phone number here."),
	);
	$form ['footer']['mail_title'] = array(
	'#type'          => 'textfield',
	'#title'         => t('Mail header Title'),
	'#default_value' => theme_get_setting('mail_title'),
	'#description'   => t("Please enter your title for email id."),
	);
	$form ['footer']['email'] = array(
	'#type'          => 'email',
	'#title'         => t('Email'),
	'#default_value' => theme_get_setting('email'),
	'#description'   => t("Please enter your email id."),
	);
	$form ['footer']['copyright'] = array(
	'#type'          => 'text_format',
	'#title'         => t('Copyright'),
	'#default_value' => theme_get_setting('copyright')['value'],
	'#description'   => t("Please enter your coptrights content here."),
	);
  // custum css Section Start
  $form['custom_css'] = array(
    '#type' => 'details',
    '#title' => t('Custom CSS'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#group' => 'visibility',
    '#weight' => -993,
  );
  $form['custom_css']['styles'] = array(
    '#type'          => 'textarea',
    '#title'         => t('Custom Style'),
    '#default_value' => theme_get_setting('styles'),
    '#description'   => t("Place your custom style for your site."),
  );

	include __DIR__.'/animations.inc';
 	$form['#submit'][] = 'startup_pro_form_submit';
}
/**
 * Implements hook_form_submit().
 */
function startup_pro_form_submit(&$form, $form_state) {
	if ($file_id = $form_state->getValue(['bg_image', '0'])) {
		$file = \Drupal::entityTypeManager()->getStorage('file')->load($file_id);
		$file->setPermanent();
		$file->save();
	  }
	  if ($file_id = $form_state->getValue(['b_bg_image', '0'])) {
		$file = \Drupal::entityTypeManager()->getStorage('file')->load($file_id);
		$file->setPermanent();
		$file->save();
	  }
	  if ($file_id = $form_state->getValue(['bg_image_m', '0'])) {
		$file = \Drupal::entityTypeManager()->getStorage('file')->load($file_id);
		$file->setPermanent();
		$file->save();
	  }
	//   if ($file_id = $form_state->getValue(['logo_image', '0'])) {
	// 	$file = \Drupal::entityTypeManager()->getStorage('file')->load($file_id);
	// 	$file->setPermanent();
	// 	$file->save();
	//   }
  }